# elm-semver

Library for handling semantic version numbers ([Semver 2.0.0](http://semver.org/spec/v2.0.0.html)) in Elm.

## Purpose

This library provides basic functions for working with semantic version numbers:

- Parsing and printing version strings
- Comparing version numbers for precedence
- Checking validity of version numbers according to the Semver spec

Please refer to the module documentation for its API.

## Tests

To run the test suite, use [elm-test](http://package.elm-lang.org/packages/elm-community/elm-test/latest).

## Contributing

Contributions are welcome in the form of issues or pull requests. Please remember to:

1. Explain the intended purpose of your change and provide enough context for others to follow your reasoning.
2. Add documentation for new (or existing!) functionality.
3. Include tests to help ensure correctness of added code.
4. Format the code with [elm-format](https://github.com/avh4/elm-format).

## Copyright and Licensing

(C) 2017 Dividat AG.

Published under MIT license.
